curl --request GET \
--url https://api.example.com/spi/v1/transfers/01960718-a213-2435-6078-901234567123 \
--header 'Authorization: Bearer demo-access-token' \
--header 'X-Account-Id: 019606a1-3b4c-7d8e-9f01-234567890abc'import requests
url = "https://api.example.com/spi/v1/transfers/{id}"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/spi/v1/transfers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "019606a0-1a2b-7c3d-8e4f-567890123abc",
"aliasId": "019606a1-3b4c-7d8e-9f01-234567890abc",
"amount": "100.00",
"createdAt": "2026-05-06T10:30:00Z",
"currency": "BRL",
"description": "Pagamento de aluguel",
"destination": {
"account": {
"branch": "0001",
"number": "0007654321",
"participant": "87654321",
"type": "CACC"
},
"key": "+5511999998888",
"owner": {
"document": "12345678901",
"name": "João da Silva",
"tradeName": "Empresa Exemplo LTDA",
"type": "NATURAL_PERSON"
}
},
"endToEndId": "E12345678202605061030abcdef12345",
"feeCharge": {
"applied": true,
"calculationType": "FIXED",
"fees": [
{
"amount": "1.50",
"calculationType": "FIXED",
"calculationValue": "1.50",
"creditAccount": "019606a3-5d6e-7f80-1a2b-345678901bcd",
"feeLabel": "PIX_TRANSFER_FEE"
}
],
"netAmount": "98.50",
"totalAmount": "1.50"
},
"id": "019606a2-4c5d-7e8f-90a1-345678901bcd",
"initiatedAt": "2026-05-06T10:30:00Z",
"initiationType": "DICT",
"ledger": {
"destinationOperationId": "019606a5-7f80-7182-3c4d-56789012cdf1",
"revert": {
"destinationOperationId": "019606a5-7f80-7182-3c4d-56789012cdf1",
"sourceOperationId": "019606a5-7f80-7182-3c4d-56789012cdf0",
"transactionId": "019606a5-7f80-7182-3c4d-56789012cdef"
},
"sourceOperationId": "019606a5-7f80-7182-3c4d-56789012cdf0",
"transactionId": "019606a5-7f80-7182-3c4d-56789012cdef"
},
"metadata": {
"field": "field-example"
},
"paymentType": "PIX",
"purpose": "IACT",
"source": {
"account": {
"branch": "0001",
"number": "0007654321",
"participant": "87654321",
"type": "CACC"
},
"key": "+5511999998888",
"owner": {
"document": "12345678901",
"name": "João da Silva",
"tradeName": "Empresa Exemplo LTDA",
"type": "NATURAL_PERSON"
}
},
"status": "COMPLETED",
"type": "OUTBOUND",
"updatedAt": "2026-05-06T10:30:05Z",
"urgency": "HIGH"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Consultar una transferencia Pix por ID
Devuelve una única transferencia cuyo alcance está restringido a la cuenta solicitante.
Autorizaciones
JWT bearer token issued by the identity provider.
Encabezados
UUID de la cuenta asociada a la operación.
"019606a1-3b4c-7d8e-9f01-234567890abc"
Parámetros de ruta
Transfer UUID
"0196070b-1234-7890-abcd-ef0123456789"
Respuesta
OK
"100.00"
"2026-05-06T10:30:00Z"
"E12345678202605061030abcdef12345"
"019606a2-4c5d-7e8f-90a1-345678901bcd"
"COMPLETED"
"OUTBOUND"
"2026-05-06T10:30:05Z"
"019606a0-1a2b-7c3d-8e4f-567890123abc"
Cross-mechanism settled and reserved refund amount. Returned only for INBOUND transfers.
"60.00"
"BRL"
"Pagamento de aluguel"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"2026-05-06T10:30:00Z"
"DICT"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"PIX"
"IACT"
Amount minus alreadyRefundedAmount. Returned only for INBOUND transfers and can be negative.
"40.00"
Show child attributes
Show child attributes
"HIGH"
¿Esta página le ayudó?

